Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class SortManagerImpl

    java.lang.Object
      oracle.ifs.fdk.impl.SortManagerImpl

All Implemented Interfaces:
  java.rmi.Remote, SortManager

Direct Known Subclasses:
  CoreSortManager

    public abstract class SortManagerImpl

extends java.lang.Object
implements SortManager

Implementation of the sort manager interface. See the documentation for `SortManager`.*

Constructor Summary
`SortManagerImpl()` Constructor.
`SortManagerImpl(FdkSession session)`

Method Summary
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.fdk.SortManager
`getPrimarySortAttribute, getPrimarySortDirection, getSecondarySortAttribute, getSecondarySortDirection, setSortPreference, sortAttributeList`

Constructor Detail

### SortManagerImpl

    public SortManagerImpl()

  Constructor.

### SortManagerImpl

    public SortManagerImpl(FdkSession session)

Method Detail

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD